SystemOrganization addCategory: #'Settings-Graphics'!

Object subclass: #GraphicFontSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Settings-Graphics'!

!GraphicFontSettings class methodsFor: 'fonts' stamp: 'AlainPlantec 1/10/2010 09:26'!
installDejaVu 
	StrikeFont installDejaVu.
	SettingBrowser refreshAllSettingBrowsers

! !

!GraphicFontSettings class methodsFor: 'fonts' stamp: 'AlainPlantec 1/31/2010 17:07'!
installDejaVuSettingOn: aBuilder 
	<systemsettings>
	(aBuilder launcher: #'Install bitmap DejaVu fonts') 
		order: -999; 
		 parent: #standardFonts;
		 target: self; 
		 script: #installDejaVu.
! !

!GraphicFontSettings class methodsFor: 'fonts' stamp: 'AlainPlantec 1/10/2010 08:15'!
resetAllFontToDefault
	StandardFonts setAllStandardFontsTo: StandardFonts defaultFont.
	SettingBrowser refreshAllSettingBrowsers
	 
! !

!GraphicFontSettings class methodsFor: 'fonts' stamp: 'FernandoOlivero 4/12/2011 09:46'!
resetAllFontToDefaultButton
			^ (self theme 
				newButtonIn: World 
				for: self
				getState: nil
				action: #resetAllFontToDefault
				arguments: {}
				getEnabled: nil
				getLabel: nil
				help: 'Set all predefined system fonts to the default one' translated)
		 		label: (self theme newRowIn: World for: {AlphaImageMorph new image: self theme smallRedoIcon. self theme buttonLabelForText: 'Reset all to default' translated});
		 		yourself.
! !

!GraphicFontSettings class methodsFor: 'fonts' stamp: 'SeanDeNigris 9/14/2010 14:50'!
standardFontsSettingsOn: aBuilder
	<systemsettings>
	(aBuilder group: #standardFonts)
		label: 'Standard fonts' translated;
		target: StandardFonts;
		parent: #appearance;
		order: 4;
		with: [ 
			(aBuilder launcher: #updateFromSystem)
				order: 1; 
				target: FreeTypeFontProvider;
				targetSelector: #current;
				description: 'Update available fonts by scanning the current system';
				script: #updateFromSystem;
				label: 'Update fonts from system' translated.
			(aBuilder setting: #defaultFont)
				description: 'The default text font' translated;
				dialog: (MessageSend receiver: self selector: #resetAllFontToDefaultButton);
				label: 'Default' translated.
			(aBuilder setting: #codeFont) 
				description: 'The standard code font' translated;
				label: 'Code' translated.
			(aBuilder setting: #listFont)
				description: 'The standard list font' translated;
				label: 'List' translated.
			(aBuilder setting: #menuFont)
				description: 'The standard menu font' translated;
				label: 'Menu' translated.
			(aBuilder setting: #buttonFont)
				description: 'The standard button font' translated;
				label: 'Button' translated.
			(aBuilder setting: #windowTitleFont)
				description: 'The standard window title font' translated;
				label: 'Window title' translated.
			(aBuilder setting: #balloonFont)
				description: 'The standard balloon-help font' translated;
				label: 'Balloon-help' translated.
			(aBuilder setting: #haloFont)
				description: 'The morphic halo font' translated;
				label: 'Morphic halo' translated]
				
				! !
